Texa DeskDevelopers

Texa Desk Application API · Conversation assignments

Assign Conversation

POST/api/v1/accounts/{account_id}/conversations/{conversation_id}/assignments

Assign a conversation to an agent or a team

Authorization

api_access_tokenheaderrequired

A person's access token (Texa Desk, Profile settings → Access token) or an agent bot's token, in the api_access_token header. It acts as that person, with their role's permissions.

Path parameters

account_idintegerrequired

The numeric ID of the account

conversation_idintegerrequired

The numeric ID of the conversation

Body application/json

assignee_idnumber

Id of the assignee user

team_idnumber

Id of the team. If the assignee_id is present, this param would be ignored

Responses

200

Success

idnumber
access_tokenstring
account_idnumber
available_namestring
avatar_urlstring
confirmedboolean
display_namestring
message_signaturestring
emailstring
hmac_identifierstring
inviter_idnumber
namestring
providerstring
pubsub_tokenstring
rolestring

One of: agent, administrator.

ui_settingsobject
uidstring
typestring
custom_attributesobject

Available for users who are created through platform APIs and has custom attributes associated.

accountsarray of object
accounts[].idnumber
accounts[].namestring
accounts[].statusstring
accounts[].active_atstring (date-time)
accounts[].rolestring

One of: administrator, agent.

accounts[].permissionsarray of string
accounts[].availabilitystring
accounts[].availability_statusstring
accounts[].auto_offlineboolean
accounts[].custom_role_idnumber
accounts[].custom_roleobject
401

Unauthorized

descriptionstring
errorsarray of object
errors[].fieldstring
errors[].messagestring
errors[].codestring
404

Conversation not found

descriptionstring
errorsarray of object
errors[].fieldstring
errors[].messagestring
errors[].codestring